Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers
Class JavaProvider

`java.lang.Object
oracle.soap.providers.JavaProvider`

All Implemented Interfaces:
  Provider

Direct Known Subclasses:
  SpProvider

public class JavaProvider
extends java.lang.Object
implements Provider

`JavaProvider` is a service provider implementation for services that are Java classes.

The provider implementation does the following:

- supports RPC-based invocation
- unmarshalls request parameters

This provider is thread-safe.

Constructor Summary
`JavaProvider()`

Method Summary
`void` | `destroy()` One-time service provider cleanup.
`java.lang.String` | `getId()` Get this provider's unique provider id.
`protected java.lang.Object` | `getTargetObject(RequestContext rc)`
`void` | `init(ProviderDeploymentDescriptor pd, SOAPServerContext ssc)` One-time service provider initialization.
`void` | `invoke(RequestContext rc)` Invoke the requested method in the specified service.
`protected void` | `invokeMethod(RequestContext rc, java.lang.Object targetObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaProvider

    public JavaProvider()

Method Detail

### init

    public void init(ProviderDeploymentDescriptor pd,
                     SOAPServerContext ssc)
              throws SOAPException

  One-time service provider initialization. This method will be invoked by the SOAP handler exactly once before the handler makes any requests to services supported by the provider. This allows the provider to set up any provider-global context.
  Specified by:
    `init` in interface `Provider`
  Parameters:
    `pd` - The provider descriptor that contains the provider deployment information.
    `ssc` - The SOAP server context, which contains the logger for informational messages.
  Throws:
    `SOAPException` - Unable to initialize and therefore unable to provide services.
  See Also:
    `destroy()`

### destroy

    public void destroy()
                 throws SOAPException

  One-time service provider cleanup. This method will be invoked by the SOAP handler exactly once before the handler shuts down. This gives the provider the opportunity to do global cleanup, such as close connections.
  Specified by:
    `destroy` in interface `Provider`
  Throws:
    `SOAPException` - Unable to destroy.
  See Also:
    `init(oracle.soap.server.ProviderDeploymentDescriptor, oracle.soap.server.SOAPServerContext)`

### getId

    public java.lang.String getId()

  Get this provider's unique provider id.
  Specified by:
    `getId` in interface `Provider`
  Returns:
    This providers id, which is unique within the SOAP handler.

### invoke

    public void invoke(RequestContext rc)
                throws SOAPException

  Invoke the requested method in the specified service.
  Specified by:
    `invoke` in interface `Provider`
  Parameters:
    `rc` - The `RequestContext` that completely describes the request.
  Throws:
    `SOAPException` - Error during method invocation for any number of reasons, including user does not have permission, method does not exist.

### getTargetObject

    protected java.lang.Object getTargetObject(RequestContext rc)
                                        throws SOAPException

  Throws:
    `SOAPException`

### invokeMethod

    protected void invokeMethod(RequestContext rc,
                                java.lang.Object targetObject)
                         throws SOAPException

  Throws:
    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.